#include "coordtable.h"

extern "C"
{
	#include "fxlib.h"
#include "stdlib.h"
#include "stdio.h"
}

CoordTable::CoordTable(int size) : m_size(size), m_byAllocation(true)
{
	if (m_size<1)
		m_size=1;
	m_coords= new Coord [m_size];
}

CoordTable::CoordTable(const CoordTable& table,bool link)
{
	if (link)
	{
		this->m_coords=table.m_coords;
		this->m_size=table.m_size;
		this->m_byAllocation=false;
	}
	else
	{
		this->m_byAllocation=true;
		this->m_size=table.m_size;
		m_coords= new Coord [m_size];
		int indice;
		for(indice=0;indice<this->m_size;indice++)
		{
			this->m_coords[indice].Coord(table.m_coords[indice]);
		}


	}

}

CoordTable::~CoordTable()
{
	if (m_byAllocation)
		delete [] m_coords;
}

Coord* CoordTable::getCoord(int num)
{

}