#include "texture.h"
#include <stdlib.h>
#include <stdio.h>

Data::Data(const unsigned char* contents,const int t_sizeO) : sizeO(t_sizeO), data(NULL)
{
	while (data==NULL)
		data=new unsigned char [sizeO];
	memcpy(data,contents,sizeO);
}

Data::~Data()
{delete [] data;}



TextureMaster::TextureMaster(const unsigned char* data,const int size) : m_size(size)
{
	int sizeO=m_size * (m_size + 1)/2;
	sizeO+=7;
	sizeO/=8;
	m_data= new Data(data,sizeO);	
}

TextureMaster::~TextureMaster()
{delete m_data;}

Texture::Texture(TextureMaster* t_master, int sens) m_sens(sens) m_master(&t_master)
{

}