#include "coord.h"

bool operator==(Coord const& a, Coord const& b)
{return (a.x==b.x && a.y==b.y && a.z==b.z);}
bool operator!=(Coord const& a, Coord const& b)
{return !(a==b);}

Coord::Coord() : x(0), y(0), z(0)
{}

Coord::Coord(const Coord& coord)
{
	x=coord.x;
	y=coord.y;
	z=coord.z;
}

Coord& Coord::operator=(const Coord& a)
{this->Coord(a);return *this;}

Coord& Coord::operator+=(const Coord& a)
{x+=a.x;y+=a.y;z+=a.z;return *this;}

Coord operator+(Coord const& a, Coord const& b)
{
	Coord copie(a);
	copie+=b;
	return copie;
}