#ifndef COORDTABLE_H
#define COORDTABLE_H 

#include "coord.h"

class CoordTable
{
public:
	CoordTable(int size=1);
	CoordTable(const CoordTable& table,bool link);
	~CoordTable();
	Coord* getCoord(int num);
private:
	Coord* m_coords;
	int m_size;
	bool m_byAllocation; // si il faut libérer la memoire à sa destruction ou si il est simplement une reference
};


#endif