#ifndef USERVIEW_H
#define USERVIEW_H

#include "src\eng3d\mathmodule\angle.h"

#define USVW_timer_interval 50 // milliseconds between each move
#define USVW_timer_identifier 1 // utiliser le 1er timer

class UserView
{
public:

	static void set(int tx,int ty,int tz, unsigned char tdh,unsigned char tdv);
	static void reload();
	static void move(); // move est appelé à intervalles réguliers par un timer.
	static void setState(bool state);

	static int x,y,z;
	static Angle dh, dv; // à terme remplacer ça par l'objet <angle> -> surcharge d'opérateurs

protected:
	static bool m_moveActive; // true si le joueur est en mouvement (systeme de timers)
						// False si c'est en pause -> à noter que le timer coupé à l'occasion
	static int m_nVFrames; // le numero de la frame virtuelle en cours
	static int m_nRFrames; // le numero de la frame reelle en cours
	static int m_x,m_y,m_z;	// membre modification à intrervalles réguliers -> m_tnom
	static Angle m_dh, m_dv; // membre au moment de calculer la frame -> m_nom
};



#endif